# StatBoosterModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class StatBoosterModifier

Modifier used for held items that Applies `Stat` boost(s) using a multiplier.

#### See

`apply`

#### Hierarchy (View Summary)

- PokemonHeldItemModifier
  - StatBoosterModifier
    - EvolutionStatBoosterModifier
    - SpeciesStatBoosterModifier

- Defined in src/modifier/modifier.ts:1140

##### Index

### Constructors

constructor

### Properties

isTransferable
multiplier
pokemonId
stackCount
stats
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxHeldItemCount
getMaxStackCount
getPokemon
getScoreMultiplier
getStackCount
incrementStack
isIconVisible
match
matchType
shouldApply

## Constructors

### constructor

- new StatBoosterModifier(
  type: ModifierType ,
  pokemonId: number,
  stats: Stat [],
  multiplier: number,
  stackCount?: number,
  ): StatBoosterModifier

  #### Parameters

  - type: ModifierType
  - pokemonId: number
  - stats: Stat []
  - multiplier: number
  - `Optional` stackCount: number

  #### Returns StatBoosterModifier

  Overrides PokemonHeldItemModifier.constructor

  - Defined in src/modifier/modifier.ts:1146

## Properties

### isTransferable

isTransferable: boolean = true

Inherited from PokemonHeldItemModifier.isTransferable

- Defined in src/modifier/modifier.ts:657

### `Protected` multiplier

multiplier: number

The multiplier used to increase the relevant stat(s)

- Defined in src/modifier/modifier.ts:1144

### pokemonId

pokemonId: number

Inherited from PokemonHeldItemModifier.pokemonId

- Defined in src/modifier/modifier.ts:656

### stackCount

stackCount: number

Inherited from PokemonHeldItemModifier.stackCount

- Defined in src/modifier/modifier.ts:186

### `Protected` stats

stats: Stat []

The stats that the held item boosts

- Defined in src/modifier/modifier.ts:1142

### type

type: ModifierType

Inherited from PokemonHeldItemModifier.type

- Defined in src/modifier/modifier.ts:159

### virtualStackCount

virtualStackCount: number

Inherited from PokemonHeldItemModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:187

## Methods

### add

- add(modifiers: PersistentModifier [], virtual: boolean): boolean

  #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.add

  - Defined in src/modifier/modifier.ts:195

### apply

- apply(_pokemon: default , _stat: Stat , statValue: NumberHolder ): boolean

  Boosts the incoming stat by a `multiplier` if the stat is listed in `stats`.

  #### Parameters

  - _pokemon: default

    the `Pokemon` that holds the item

  - _stat: Stat

    the `Stat` to be boosted

  - statValue: NumberHolder

    `NumberHolder` that holds the resulting value of the stat

  #### Returns boolean

  `true` if the stat boost applies successfully, false otherwise

  #### See

  shouldApply

  Overrides PokemonHeldItemModifier.apply

  - Defined in src/modifier/modifier.ts:1192

### clone

- clone(): StatBoosterModifier

  #### Returns StatBoosterModifier

  Overrides PokemonHeldItemModifier.clone

  - Defined in src/modifier/modifier.ts:1153

### getArgs

- getArgs(): any[]

  #### Returns any[]

  Overrides PokemonHeldItemModifier.getArgs

  - Defined in src/modifier/modifier.ts:1157

### getIcon

- getIcon(forSummary?: boolean): Container

  #### Parameters

  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from PokemonHeldItemModifier.getIcon

  - Defined in src/modifier/modifier.ts:696

### getIconStackText

- getIconStackText(virtual?: boolean): null | BitmapText

  #### Parameters

  - `Optional` virtual: boolean

  #### Returns null | BitmapText

  Inherited from PokemonHeldItemModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:260

### getMaxHeldItemCount

- getMaxHeldItemCount(_pokemon: default ): number

  #### Parameters

  - _pokemon: default

  #### Returns number

  Overrides PokemonHeldItemModifier.getMaxHeldItemCount

  - Defined in src/modifier/modifier.ts:1197

### getMaxStackCount

- getMaxStackCount(forThreshold?: boolean): number

  #### Parameters

  - `Optional` forThreshold: boolean

  #### Returns number

  Inherited from PokemonHeldItemModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:737

### getPokemon

- getPokemon(): undefined | default

  #### Returns undefined | default

  Inherited from PokemonHeldItemModifier.getPokemon

  - Defined in src/modifier/modifier.ts:729

### getScoreMultiplier

- getScoreMultiplier(): number

  #### Returns number

  Inherited from PokemonHeldItemModifier.getScoreMultiplier

  - Defined in src/modifier/modifier.ts:733

### getStackCount

- getStackCount(): number

  #### Returns number

  Inherited from PokemonHeldItemModifier.getStackCount

  - Defined in src/modifier/modifier.ts:229

### incrementStack

- incrementStack(amount: number, virtual: boolean): boolean

  #### Parameters

  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.incrementStack

  - Defined in src/modifier/modifier.ts:216

### isIconVisible

- isIconVisible(): boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:692

### match

- match(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.match

  - Defined in src/modifier/modifier.ts:667

### matchType

- matchType(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides PokemonHeldItemModifier.matchType

  - Defined in src/modifier/modifier.ts:1161

### shouldApply

- shouldApply(pokemon: default , stat: Stat , statValue: NumberHolder ): boolean

  Checks if the incoming stat is listed in `stats`

  #### Parameters

  - pokemon: default
  - stat: Stat
  - statValue: NumberHolder

    `NumberHolder` that holds the resulting value of the stat

  #### Returns boolean

  `true` if the stat could be boosted, false otherwise

  Overrides PokemonHeldItemModifier.shouldApply

  - Defined in src/modifier/modifier.ts:1179